h1 {
    font-family: "Tanha";
    color: yellowgreen;
}

p {
    font-family: "Tanha";
    color: orangered;
}

.header {
    display: flex;
    flex-direction: column;
    background: linear-gradient(100deg, blue 10%, purple 80%);
    align-items: center;
    gap: 8px;
    font-size: 15px;
}

.main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
    padding: 40px, 20px;
    max-width: 1200px;
    padding-right: 10%;
    /* margin-right: 20%; */
    margin: 0 auto;
    margin-top: 20px;
}

.foot {
    display: flex;
    flex-direction: column;
    background: lightcoral;
    align-items: center;
    font-family: 'Samim';
    margin-top: 20px;
    border-radius: 10px;
    font-size: 10px;
}

.photo {
    flex: 1 2 150px;
    max-width: 600px;
    max-height: 150px;
    box-shadow: 5px 5px 10px black;
    border-radius: 10px;
}

img {
    max-width: 100%;
    display: block;
    border-radius: 8px;
}

.caption {
    text-align: center;
    font-family: 'Samim';
    font-size: 1rem;
    color: black;
    box-shadow: 5px 5px 10px rgb(19, 0, 0);
}

img:hover {
    /* animation-name: flexanimation;
    animation-duration: 3s;
    animation-iteration-count: 2; */
}

@keyframes flexanimation {
    0% {
        box-shadow: 0 0 0 0px rgba(0, 0, 0, 0.4);
        border-radius: 0%;
    }

    25% {
        box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
        border-radius: 50%;
        transform: rotate(180deg);
    }

    50% {
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
        border-radius: 100%;
        transform: rotate(180deg);
    }

    70% {
        box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
        border-radius: 50%;
        transform: rotate(180deg);
    }

    100% {
        box-shadow: 0 0 0 30px rgba(0, 0, 0, 0);
        border-radius: 0%;
        transform: rotate(180deg);
    }
}

@media(max-width:1200px) {
    .caption {
        font-size: 0/5 rem;
    }

    .main {
        padding: 30px, 10px;
        max-width: 1100px;
        padding-right: 5%;
    }

    .photo {
        max-width: 500px;
    }

    .header {
        font-size: 12px;
        gap: 6px;
    }

    .foot {
        font-size: 8px;
    }
}

@media(max-width:1000px) {
    .caption {
        font-size: 0/3 rem;
    }

    .main {
        padding: 20px, 8px;
        max-width: 1000px;
        padding-right: 5%;
    }

    .photo {
        max-width: 400px;
    }

    .header {
        font-size: 8px;
        gap: 5px;
    }

    .foot {
        font-size: 6px;
    }
}

@media(max-width:800px) {
    .caption {
        font-size: 0/2 rem;
    }

    .main {
        padding: 10px, 5px;
        max-width: 900px;
        padding-right: 3%;
    }

    .photo {
        max-width: 300px;
    }

    .header {
        font-size: 6px;
        gap: 4px;
    }

    .foot {
        font-size: 4px;
    }
}

@media(max-width:600px) {
    .caption {
        font-size: 0/2 rem;
        color: rgb(10, 116, 238);
    }

    .main {
        padding: 5px, 3px;
        max-width: 800px;
        padding-right: 2%;
    }

    .photo {
        max-width: 200px;
    }

    .header {
        font-size: 5px;
        gap: 2px;
    }

    .foot {
        font-size: 2px;
        background-color: rgb(2, 21, 43);
    }
}

.moti {
    transform: translateY(-5px);
}